<template>
	<div>
		<div v-if="!appReady" id="splash">
			<img id="splashLogo" src="@/assets/logo.png" alt="time_logo" />
			<h3>TRACKTIME</h3>

			<div class="footer">
				<p>Tracktime © Tous droits réservés.</p>
			</div>
		</div>
		<router-view v-if="appReady" />
	</div>
</template>

<script>
export default {
	name: 'App',
	computed: {
		appReady() { return this.$store.state.app_ready; }
	}
};
</script>

<style>

#splash{
	text-align: center;
}
#splashLogo{
	position: relative;
	text-align: center;
	margin: auto;
	width: 150px;
	height: auto;
	padding-top: 25vh;
}

.footer{
	position: absolute;
	text-align: center;
	background-color: black;
	width: 100%;
	padding: 10px;
	left: 0px;
	bottom: 0px;
}
</style>
